Bug 493888 - S-c-tools cleanup: make OK button insensitive when no action has been taken.
S-c-tools cleanup: make OK button insensitive when no action has been taken.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 493604
  Show dependency treegraph
 
Reported: 2009-04-03 06:09 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 00:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:09:12 EDT
Description of problem:
"OK" button is sensitive even no changes were done but it should be insensitive when "Cancel" button available.

How reproducible: 
/*places*/

Steps to Reproduce:
1. invoke some dialog
2. check if "OK" button is sensitive

Actual results:
"OK" button is sensitive.

Expected results:
"OK" should not be sensitive.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Pravin Satpute 2009-04-24 02:01:16 EDT
It will be nice if you give bit more information w.r.t s-c-l, 
where you want this exactly?
Comment 2 Pravin Satpute 2009-07-07 04:22:23 EDT
i am still not getting where to fix this
so closing for now
Comment 3 Roman Rakus 2009-07-16 11:13:32 EDT
There should be `cancel' button to close without saving.
And `OK' button should be sensitive only if you make any change. For example, when I start s-c-language, I have selected `English (USA)' and `OK' button is active and shouldn't be. Should be active when I choose other language.
If you want, I can make you a patch.
Comment 4 Pravin Satpute 2009-07-24 03:52:22 EDT
build for rawhide

Note You need to log in before you can comment on or make changes to this bug.